<div class="tad-verification">
  <app-content-banner [isDashboard]="false" pageName="TAD Verification"></app-content-banner>
  <mat-card class="tad-verification-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <p class="banner-header">Agency/Site Details:</p>
      <div fxLayout="row" class="banner-outline">
        <div class="stats"><span><b>Agency Name: </b>{{tadSummaryData ? tadSummaryData.hpAgencyName : ''}}</span></div>
        <div class="stats"><span><b>Site Name: </b>{{tadSummaryData ? tadSummaryData.hpSiteName : ''}}</span></div>
        <div class="stats"><span><b>Site Address: </b>{{tadSummaryData ? tadSummaryData.siteAddress : ''}}</span></div>
        <div class="stats"><span><b>Site Type: </b>{{tadSummaryData ? tadSummaryData.siteTypeDescription : ''}}</span></div>
      </div>
      <p class="banner-header">Contact Details:</p>
      <div fxLayout="row" class="banner-outline">
        <div class="stats"><span><b>Submitted By: </b>{{tadSummaryData ? tadSummaryData.submittedBy : ''}}</span></div>
        <div class="stats"><span><b>Submitted Date: </b>{{tadSummaryData ? tadSummaryData.submittedDate : ''}}</span></div>
        <div class="stats"><span><b>Phone No: </b>{{tadSummaryData ? tadSummaryData.phoneNo : ''}}</span></div>
        <div class="stats"><span><b>Email: </b>{{tadSummaryData ? tadSummaryData.email : ''}}</span></div>
      </div>
      <span><span class="banner-header">Site/Unit Summary:</span><span *ngIf="selectedHpSite" class="reporting-month"><b>Reporting Month: </b>{{selectedHpSite.tadMonthName + ' ' + selectedHpSite.tadYear}}</span></span>
      <div fxLayout="row" class="header-grid">
        <ag-grid-angular #sGrid id="sGrid" style="width: 100%" class="ag-theme-balham my-grid"
          [columnDefs]="sColumnDefs" [defaultColDef]="sdefaultColDef" [rowData]="sRowData" [gridOptions]="sGridOptions"
          [frameworkComponents]="frameworkComponents" (gridReady)="onSGridReady($event)">
        </ag-grid-angular>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight>
        <mat-tab>
          <ng-template matTabLabel>
            <span>TAD</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <div class="table-filters-header" fxLayout="column">
                  <div fxLayout="row" fxLayoutAlign="start">
                    <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                      <span *ngIf="!readyForVerification && pendingPlacement.length > 0">{{pendingPlacement.length + 'Row(s) to be Verified'}}</span>
                      <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore</mat-icon>
                      <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                    </div>
                  </div>
                </div>
                <ag-grid-angular #tadGrid id="tadGrid" style="width: 100%" class="ag-theme-balham my-grid"
                  [columnDefs]="tadColumnDefs" [defaultColDef]="defaultColDef" [rowData]="tadRowData"
                  [context]="context" [animateRows]="true" [gridOptions]="tadGridOptions"
                  [frameworkComponents]="frameworkComponents" (gridReady)="onTadGridReady($event)">
                </ag-grid-angular>
                <div class="foot-notes">
                  <p><b>*D </b> (Discrepancies) - Client's Eligibility Does Not Match Unit Profile</p>
                  <p><b>[2] P </b>indicates Priority Placement for NY/NYIII Housing based on high-service utilization. </p>
                  <p><b>[3] </b> Once approved and placed for Primary Service Contract Type so included in the Client count.</p>
                  <p><b>[4] </b> Moved in after the Application Approval Period ended Client is not included in the Count.</p>
                  <p><b>[5] P </b> indicates Priority Placement for Medicaid Redesign Team (MRT).</p>
                  <p><b>*NYNY </b> Ineligible.</p>
                  <span *ngIf="selectedHpSite.agencyNo && selectedHpSite.siteNo">
                    <span *ngIf="(selectedHpSite.agencyNo=='9022' && selectedHpSite.siteNo=='010') ||
                                  (selectedHpSite.agencyNo=='9022' && selectedHpSite.siteNo=='009') ||
                                  (selectedHpSite.agencyNo=='1066' && selectedHpSite.siteNo=='008') ||
                                  (selectedHpSite.agencyNo=='6179' && selectedHpSite.siteNo=='013')">
                      <p><b>+ </b> Preexisting clients grandfathered into NY/NY III pop E Site, SO included in NY/NY III client Count </p>
                      <p><b>+ </b> Preexisting clients grandfathered into NY/NY III pop F Site, SO included in NY/NY III client Count </p>
                    </span>
                  </span>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
      <div class="btn-section mat-elevation-z4" fxLayout="row">
        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
          <button type="button" *ngIf="readyForVerification" (click)="VerifyTadReport()" mat-raised-button color="primary">Verify</button>
          <button type="button" (click)="onExitClick()" mat-raised-button color="primary">Exit</button>
        </span>
      </div>
    </mat-card-content>
  </mat-card>
</div>
